Generates a user-level error/warning/notice message

- « set_exception_handler

- user_error »

- PHP Manual
- Error Handling Functions
- Generates a user-level error/warning/notice message

# trigger_error

(PHP 4 >= 4.0.1, PHP 5, PHP 7, PHP 8)

trigger_error — Generates a user-level error/warning/notice message

### Description

trigger_error(string `$message`, int `$error_level` = `E_USER_NOTICE`): bool

Used to trigger a user error condition, it can be used in conjunction with the built-in error handler, or with a user defined function that has been set as the new error handler (set_error_handler()).

This function is useful when you need to generate a particular response to an exception at runtime.

### Parameters

`message`

  The designated error message for this error. It's limited to 1024 bytes in length. Any additional characters beyond 1024 bytes will be truncated.

`error_level`

  The designated error type for this error. It only works with the E_USER family of constants, and will default to `E_USER_NOTICE`.

### Return Values

This function returns `false` if wrong `error_level` is specified, `true` otherwise.

### Examples

Example #1 trigger_error() example

See set_error_handler() for a more extensive example.

    <?phpif ($divisor == 0) {    trigger_error("Cannot divide by zero", E_USER_ERROR);}?>

### Notes

Warning

HTML entities in `message` are not escaped. Use htmlentities() on the message if the error is to be displayed in a browser.

### See Also

- error_reporting() - Sets which PHP errors are reported
- set_error_handler() - Sets a user-defined error handler function
- restore_error_handler() - Restores the previous error handler function
- The error level constants